# Sunburst

The Sunburst diagram is a space-filling visualization that uses a radial rather than a rectangular layout. In Sunburst, items in a hierarchy are laid out radially, with the top of the hierarchy at the center and deeper levels farther away from the center.

The circle in the center represents the **root node**, with the hierarchy moving outward from the center.

## The Method To Use <a href="#the-method-to-use" id="the-method-to-use"></a>

The method is `s.plt.sunburst()`

It must contain the following input variables:

```python
order: int, 
data: Union[str, Dict, List],
```

And accepts the following input variable as optional:

```python
title: Optional[str]
padding: Optional[List[int]]
rows_size: Optional[int]
cols_size: Optional[int]
option_modifications: Optional[Dict]
```

## Examples <a href="#examples" id="examples"></a>

### 1. Default Configuration <a href="#id-1.-default-configuration" id="id-1.-default-configuration"></a>

```python
sunburst_data = [{
    "name": "Root 1",
    "children": [
        {
            "name": "Children A",
            "value": 15,
            "children": [
                {
                    "name": "Children A1",
                    "value": 2
                },
                {
                    "name": "Children AA1",
                    "value": 5,
                    "children": [
                        {
                            "name": "Children AAA1",
                            "value": 2
                        }
                    ]
                },
                {
                    "name": "Children A2",
                    "value": 4
                }
            ]
        },
        {
            "name": "Children B",
            "value": 10,
            "children": [
                {
                    "name": "Children B1",
                    "value": 5
                },
                {
                    "name": "Children B2",
                    "value": 1
                }
            ]
        }
    ]
}, {
    "name": "Root 2",
    "children": [
        {
            "name": "Children A1",
            "children": [
                {
                    "name": "Children AA1",
                    "value": 1
                },
                {
                    "name": "Children AA2",
                    "value": 2
                }
            ]
        }
    ]
}]

s.plt.sunburst(data=sunburst_data, order=0)
```

![The Sunburst chart in the default configuration.](/files/oSg21ljEhFrTD1HXzoZT)

### 2.  Customization And Context

```python
data = [
   {
       "name": "P. strobus",
       "children": [
           {
            "name": "Sector A",
            "value": 9,
            "children": [
             {
              "name": "Sector A1",
              "value": 2
             },

             {
              "name": "Sector A2",
              "value": 7
             }
            ]
           },
           {
            "name": "Sector B",
            "value": 8,
            "children": [
             {
              "name": "Sector B1",
              "value": 5
             },
             {
              "name": "Sector B2",
              "value": 3
             }
            ]
           }
       ]
   },
   {
       "name": "P. rigida",
       "children": [
           {
            "name": "Sector A",
            "children": [
             {
              "name": "Sector A1",
              "value": 7
             },
             {
              "name": "Sector A2",
              "value": 3
             }
            ]
           }
       ]
   }
]

s.plt.sunburst(
    data=data, title='Pine trees in each Sector',
    order=0, rows_size=3, cols_size=8,
    padding='0,0,0,1',
)
```

![ Note the space before the component with padding, the title='Pine trees in each Sector', the size with rows\_size=3, cols\_size=8.](/files/YFmwTYdiytYjMfuDUWaH)

{% hint style="info" %}

### Featured Content

[Changing the Menu Path](/dev/building-web-app/menu/changing-the-menu-path.md)\
The `menu_path` can be modified.<br>

[Using the Grid](/dev/building-web-app/grid/using-the-grid.md)

It is possible to use any number of rows.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/sunburst.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
